org.apache.ignite.internal.processors.cache.persistence.wal

## Enum SegmentedRingByteBuffer.BufferMode

- java.lang.Object
- - java.lang.Enum<SegmentedRingByteBuffer.BufferMode>
  - - org.apache.ignite.internal.processors.cache.persistence.wal.SegmentedRingByteBuffer.BufferMode

All Implemented Interfaces:
  Serializable, Comparable<SegmentedRingByteBuffer.BufferMode>

Enclosing class:
  SegmentedRingByteBuffer

    public static enum SegmentedRingByteBuffer.BufferMode
    extends Enum<SegmentedRingByteBuffer.BufferMode>

Buffer mode.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DIRECT` Direct byte buffer off-heap
`MAPPED` Byte buffer mapped to file.
`ONHEAP` Byte buffer on-heap.

### Method Summary

All Methods Static Methods Concrete Methods
`static SegmentedRingByteBuffer.BufferMode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SegmentedRingByteBuffer.BufferMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ONHEAP

    public static final SegmentedRingByteBuffer.BufferMode ONHEAP

Byte buffer on-heap.

#### DIRECT

    public static final SegmentedRingByteBuffer.BufferMode DIRECT

Direct byte buffer off-heap

#### MAPPED

    public static final SegmentedRingByteBuffer.BufferMode MAPPED

Byte buffer mapped to file.

### Method Detail

#### values

    public static SegmentedRingByteBuffer.BufferMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SegmentedRingByteBuffer.BufferMode c : SegmentedRingByteBuffer.BufferMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SegmentedRingByteBuffer.BufferMode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018